All Products
Search
Document Center

Installation

Last Updated: Mar 07, 2019

Environment requirements

  • You have installed Python 2.7 or a later version. If not, you can visit the Python official website to download and install an appropriate version.
  • You have installed pip. If not, you can visit the pip official website to download and install pip.

Install the SDK

  1. pip install aliyun-python-sdk-core
  2. pip install aliyun-python-sdk-vod
  • If you are using Python 3.x, change pip install aliyun-python-sdk-core to pip install aliyun-python-sdk-core-v3. If you have installed different versions of Python, you can run the pip3 command.

  • If some operations failed due to insufficient permissions, add sudo before the command.

Update the SDK

If new APIs or new features of existing APIs are unavailable in the current SDK version, you can run the following command to update the SDK to the latest version:

  1. pip install --upgrade aliyun-python-sdk-vod

Uninstall the SDK

Run the following pip commands to uninstall the SDK:

  1. pip uninstall aliyun-python-sdk-core
  2. pip uninstall aliyun-python-sdk-vod